Print Friendly

# Class Ext.tree.DefaultSelectionModel

Package: | Ext.tree
Class: | DefaultSelectionModel
Extends: | Observable
Defined In: | TreeSelectionModel.js

The default single selection for a TreePanel.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| addEvents(`Object object`) : void | Observable
Copies any events from the passed object onto this object if they do not already exist. The passed object must also ...
| addListener(`String eventName`, `Function handler`, [`Object scope`], [`Object options`]) : void | Observable
Appends an event handler to this component
| clearSelections() : void | DefaultSelectionModel
Clear all selections
| fireEvent(`String eventName`, `Object... args`) : Boolean | Observable
Fires the specified event with the passed parameters (minus the event name).
| getSelectedNode() : TreeNode | DefaultSelectionModel
Get the selected node
| hasListener(`String eventName`) : Boolean | Observable
Checks to see if this object is currently listening for a specified event
| isSelected(`TreeNode node`) : Boolean | DefaultSelectionModel
Returns true if the node is selected
| on(`String eventName`, `Function handler`, [`Object options`]) : void | Observable
Appends an event handler to this element (shorthand for addListener)
| purgeListeners() : void | Observable
Removes all listeners for this object
| removeListener(`String eventName`, `Function handler`, [`Object scope`]) : void | Observable
Removes a listener
| select(`TreeNode node`) : TreeNode | DefaultSelectionModel
Select a node.
| selectNext() : TreeNode | DefaultSelectionModel
Selects the node above the selected node in the tree, intelligently walking the nodes
| selectPrevious() : TreeNode | DefaultSelectionModel
Selects the node above the selected node in the tree, intelligently walking the nodes
| un(`String eventName`, `Function handler`, [`Object scope`]) : void | Observable
Removes a listener (shorthand for removeListener)
| unselect(`TreeNode node`) : void | DefaultSelectionModel
Deselect a node.

## Public Events

Event | Defined By
--- | ---
| beforeselect : (`DefaultSelectionModel this`, `TreeNode node`, `TreeNode node`) | DefaultSelectionModel
Fires before the selected node changes, return false to cancel the change
| selectionchange : (`DefaultSelectionModel this`, `TreeNode node`) | DefaultSelectionModel
Fires when the selected node changes

## Method Details

### addEvents

`public function addEvents(`Object object`)`
Copies any events from the passed object onto this object if they do not already exist. The passed object must also inherit from Observable for this method to have any effect.
Parameters:

- `object` : Object
  The object from which to copy events

Returns:

- `void`

This method is defined by Observable.

### addListener

`public function addListener(`String eventName`, `Function handler`, [`Object scope`], [`Object options`])`
Appends an event handler to this component
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope {Object} The scope in which to execute the handler function. The handler function's "this" context.
  - delegate {String} A simple selector to filter the target or look for a descendant of the target
  - stopEvent {Boolean} True to stop the event. That is stop propagation, and prevent the default action.
  - preventDefault {Boolean} True to prevent the default action
  - stopPropagation {Boolean} True to prevent event propagation
  - normalized {Boolean} False to pass a browser event to the handler function instead of an Ext.EventObject
  - delay {Number} The number of milliseconds to delay the invocation of the handler after te event fires.
  - single {Boolean} True to add a handler to handle just the next firing of the event, and then remove itself.
  - buffer {Number} Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  Using the options argument, it is possible to combine different types of listeners:
  A normalized, delayed, one-time listener that auto stops the event and passes a custom argument (forumId)

  Code:

      el.on('click', this.onClick, this, { single: true, delay: 100, stopEvent : true, forumId: 4 });

  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

  Attaching multiple handlers in 1 call
  Code:

      el.on({ 'click' : { fn: this.onClick scope: this, delay: 100 }, 'mouseover' : { fn: this.onMouseOver scope: this }, 'mouseout' : { fn: this.onMouseOut scope: this } });

  Or a shorthand syntax:
  Code:

      el.on({ 'click' : this.onClick, 'mouseover' : this.onMouseOver, 'mouseout' : this.onMouseOut scope: this });

Returns:

- `void`

This method is defined by Observable.

### clearSelections

`public function clearSelections()`
Clear all selections
Parameters:

- None.

Returns:

- `void`

This method is defined by DefaultSelectionModel.

### fireEvent

`public function fireEvent(`String eventName`, `Object... args`)`
Fires the specified event with the passed parameters (minus the event name).
Parameters:

- `eventName` : String
- `args` : Object...
  Variable number of parameters are passed to handlers

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true

This method is defined by Observable.

### getSelectedNode

`public function getSelectedNode()`
Get the selected node
Parameters:

- None.

Returns:

- `TreeNode`
  The selected node

This method is defined by DefaultSelectionModel.

### hasListener

`public function hasListener(`String eventName`)`
Checks to see if this object is currently listening for a specified event
Parameters:

- `eventName` : String
  The name of the event to check for

Returns:

- `Boolean`
  True if the event is being listened for, else false

This method is defined by Observable.

### isSelected

`public function isSelected(`TreeNode node`)`
Returns true if the node is selected
Parameters:

- `node` : TreeNode
  The node to check

Returns:

- `Boolean`

This method is defined by DefaultSelectionModel.

### on

`public function on(`String eventName`, `Function handler`, [`Object options`])`
Appends an event handler to this element (shorthand for addListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `options` : Object
  (optional)

Returns:

- `void`

This method is defined by Observable.

### purgeListeners

`public function purgeListeners()`
Removes all listeners for this object
Parameters:

- None.

Returns:

- `void`

This method is defined by Observable.

### removeListener

`public function removeListener(`String eventName`, `Function handler`, [`Object scope`])`
Removes a listener
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

### select

`public function select(`TreeNode node`)`
Select a node.
Parameters:

- `node` : TreeNode
  The node to select

Returns:

- `TreeNode`
  The selected node

This method is defined by DefaultSelectionModel.

### selectNext

`public function selectNext()`
Selects the node above the selected node in the tree, intelligently walking the nodes
Parameters:

- None.

Returns:

- `TreeNode`
  The new selection

This method is defined by DefaultSelectionModel.

### selectPrevious

`public function selectPrevious()`
Selects the node above the selected node in the tree, intelligently walking the nodes
Parameters:

- None.

Returns:

- `TreeNode`
  The new selection

This method is defined by DefaultSelectionModel.

### un

`public function un(`String eventName`, `Function handler`, [`Object scope`])`
Removes a listener (shorthand for removeListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

### unselect

`public function unselect(`TreeNode node`)`
Deselect a node.
Parameters:

- `node` : TreeNode
  The node to unselect

Returns:

- `void`

This method is defined by DefaultSelectionModel.

## Event Details

### beforeselect

`public event beforeselect`
Fires before the selected node changes, return false to cancel the change
Subscribers will be called with the following parameters:

- `this` : DefaultSelectionModel
- `node` : TreeNode
  the new selection
- `node` : TreeNode
  the old selection

This event is defined by DefaultSelectionModel.

### selectionchange

`public event selectionchange`
Fires when the selected node changes
Subscribers will be called with the following parameters:

- `this` : DefaultSelectionModel
- `node` : TreeNode
  the new selection

This event is defined by DefaultSelectionModel.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.